resource "aws_launch_configuration" "primary" {
  depends_on = ["aws_subnet.primary", "aws_nat_gateway.gw"]
  name          = "web_config_primary"
  image_id      = "${data.aws_ami.amazon_windows_2012R2.id}"
  instance_type = "${var.ami_type}"
  security_groups = ["${aws_security_group.primary.id}"]
  user_data = "${file("user_data.txt")}"
  key_name = "testKey"
}
